#
# spec file for package kdepimlibs4
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kdepimlibs4
Version:        4.14.10
Release:        lp152.5.13
Summary:        KDE PIM Libraries
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         kdepimlibs-%{version}.tar.xz
Source1:        baselibs.conf
# PATCH-FIX-OPENSUSE
Patch1:         disable-pth-build.diff
Patch2:         libical-3.patch
%if 0%{?suse_version} > 1325
BuildRequires:  libboost_graph-devel
%else
BuildRequires:  boost-devel
%endif
BuildRequires:  cyrus-sasl-devel
BuildRequires:  fdupes
BuildRequires:  gpgme-devel
BuildRequires:  libakonadiprotocolinternals-devel >= 1.10.45
BuildRequires:  libassuan-devel
BuildRequires:  libkde4-devel
BuildRequires:  libprison-devel
BuildRequires:  libqjson-devel
BuildRequires:  libxslt-devel
BuildRequires:  openldap2-devel
BuildRequires:  xz
%if !0%{?sles_version}
BuildRequires:  pkgconfig(libical)
%else
BuildRequires:  libical-devel
%endif
Requires:       kdelibs4 >= %( echo `rpm -q --queryformat '%%{VERSION}' libkde4-devel`)
Recommends:     cyrus-sasl-crammd5
Recommends:     cyrus-sasl-digestmd5
Recommends:     cyrus-sasl-plain
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires(post):     shared-mime-info
Requires(postun):   shared-mime-info
%requires_ge        libical0

%description
This package contains the basic packages for KDE PIM applications.

%prep
%setup -q -n kdepimlibs-%{version}
%patch1
%patch2 -p1

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  %kde4_makeinstall -C build
  # Not needed
  rm -f %{buildroot}%{_kde4_bindir}/akonaditest
  rm -f %{buildroot}%{_kde4_datadir}/akonadi/agents/knutresource.desktop
  # Not needed, conflicts with newer Akonadi
  rm -f %{buildroot}%{_kde4_bindir}/akonadi2xml
  # we don't need it
  %kde_post_install
  %fdupes %{buildroot}%{_kde4_includedir}/KDE

%post
/sbin/ldconfig
%mime_database_post

%postun
/sbin/ldconfig
%mime_database_postun

%package -n libkdepimlibs4
Summary:        KDE PIM Libraries
Group:          System/GUI/KDE
%requires_ge    libical0
%requires_ge    libqt4-x11

%description -n libkdepimlibs4
This package contains the basic libraries for KDE PIM applications.

%post -n libkdepimlibs4 -p /sbin/ldconfig

%postun -n libkdepimlibs4 -p /sbin/ldconfig

%files -n libkdepimlibs4
%defattr(-,root,root)
%doc COPYING COPYING.BSD COPYING.LIB
%{_kde4_libdir}/libgpgme++-pthread.so.*
%{_kde4_libdir}/libgpgme++.so.*
%{_kde4_libdir}/libkabc.so.*
%{_kde4_libdir}/libkabc_file_core.so.*
%{_kde4_libdir}/libkalarmcal.so.*
%{_kde4_libdir}/libkblog.so.*
%{_kde4_libdir}/libkcal.so.*
%{_kde4_libdir}/libkcalcore.so.*
%{_kde4_libdir}/libkcalutils.so.*
%{_kde4_libdir}/libkholidays.so.*
%{_kde4_libdir}/libkimap.so.*
%{_kde4_libdir}/libkldap.so.*
%{_kde4_libdir}/libkmbox.so.*
%{_kde4_libdir}/libkmime.so.*
%{_kde4_libdir}/libkontactinterface.so.*
%{_kde4_libdir}/libkpimidentities.so.*
%{_kde4_libdir}/libkpimtextedit.so.*
%{_kde4_libdir}/libkpimutils.so.*
%{_kde4_libdir}/libkresources.so.*
%{_kde4_libdir}/libktnef.so.*
%{_kde4_libdir}/libkxmlrpcclient.so.*
%{_kde4_libdir}/libmailtransport.so.*
%{_kde4_libdir}/libmicroblog.so.*
%{_kde4_libdir}/libqgpgme.so.*
%{_kde4_libdir}/libsyndication.so.*

%package -n libakonadi4
Summary:        PIM Storage Service Client Libraries
Group:          System/GUI/KDE
Requires:       libakonadiprotocolinternals1 >= 1.6.0
Requires:       libkdepimlibs4 = %{version}
%requires_ge    libqt4-x11

%description -n libakonadi4
This package contains the libraries of Akonadi, the KDE PIM storage
service.

%post -n libakonadi4 -p /sbin/ldconfig

%postun -n libakonadi4 -p /sbin/ldconfig

%files -n libakonadi4
%defattr(-,root,root)
%doc COPYING COPYING.LIB
%{_kde4_libdir}/libakonadi-calendar.so.*
%{_kde4_libdir}/libakonadi-contact.so.*
%{_kde4_libdir}/libakonadi-kabc.so.*
%{_kde4_libdir}/libakonadi-kcal.so.*
%{_kde4_libdir}/libakonadi-kde.so.*
%{_kde4_libdir}/libakonadi-kmime.so.*
%{_kde4_libdir}/libakonadi-notes.so.*
%{_kde4_libdir}/libakonadi-socialutils.so.*
%{_kde4_libdir}/libakonadi-xml.so.*

%package -n libkdepimlibs4-devel
Summary:        KDE PIM Libraries: Build Environment
Group:          Development/Libraries/KDE
%if 0%{?suse_version} > 1325
Requires:       libboost_graph-devel
%else
Requires:       boost-devel
%endif
Requires:       kdepimlibs4 = %{version}
Requires:       libakonadi4 = %{version}
Requires:       libakonadiprotocolinternals-devel
Requires:       libkde4-devel
Requires:       libkdepimlibs4 = %{version}
Requires:       libprison-devel
Requires:       libqjson-devel
Requires:       openldap2-devel
BuildRequires:  xz
# Newer GPGME installs headers in the same location
# both gpgme++ and QGpgME originated from here
Conflicts:      libqgpgme-devel
Conflicts:      libgpgmepp-devel
%if !0%{?sles_version}
Requires:       pkgconfig(libical)
%else
Requires:       libical-devel
%endif

%description -n libkdepimlibs4-devel
This package contains all necessary include files and libraries needed
to develop KDE PIM applications.

%files -n libkdepimlibs4-devel
%defattr(-,root,root)
%doc COPYING COPYING.BSD COPYING.LIB
%{_kde4_appsdir}/cmake
%{_kde4_includedir}/*
%dir %{_kde4_libdir}/cmake
%{_kde4_libdir}/cmake/KdepimLibs
%dir %{_kde4_libdir}/gpgmepp
%{_kde4_libdir}/gpgmepp/GpgmeppConfig.cmake
%{_kde4_libdir}/gpgmepp/GpgmeppLibraryDepends.cmake
%{_kde4_libdir}/libakonadi-calendar.so
%{_kde4_libdir}/libakonadi-contact.so
%{_kde4_libdir}/libakonadi-kabc.so
%{_kde4_libdir}/libakonadi-kcal.so
%{_kde4_libdir}/libakonadi-kde.so
%{_kde4_libdir}/libakonadi-kmime.so
%{_kde4_libdir}/libakonadi-notes.so
%{_kde4_libdir}/libakonadi-socialutils.so
%{_kde4_libdir}/libakonadi-xml.so
%{_kde4_libdir}/libgpgme++-pthread.so
%{_kde4_libdir}/libgpgme++.so
%{_kde4_libdir}/libkabc.so
%{_kde4_libdir}/libkabc_file_core.so
%{_kde4_libdir}/libkalarmcal.so
%{_kde4_libdir}/libkblog.so
%{_kde4_libdir}/libkcal.so
%{_kde4_libdir}/libkcalcore.so
%{_kde4_libdir}/libkcalutils.so
%{_kde4_libdir}/libkholidays.so
%{_kde4_libdir}/libkimap.so
%{_kde4_libdir}/libkldap.so
%{_kde4_libdir}/libkmbox.so
%{_kde4_libdir}/libkmime.so
%{_kde4_libdir}/libkontactinterface.so
%{_kde4_libdir}/libkpimidentities.so
%{_kde4_libdir}/libkpimtextedit.so
%{_kde4_libdir}/libkpimutils.so
%{_kde4_libdir}/libkresources.so
%{_kde4_libdir}/libktnef.so
%{_kde4_libdir}/libkxmlrpcclient.so
%{_kde4_libdir}/libmailtransport.so
%{_kde4_libdir}/libmicroblog.so
%{_kde4_libdir}/libqgpgme.so
%{_kde4_libdir}/libsyndication.so

%files
%defattr(-,root,root)
%doc COPYING COPYING.BSD COPYING.LIB
%exclude %{_kde4_appsdir}/cmake
%doc %lang(en) %{_kde4_htmldir}/en/kcontrol
%doc %lang(en) %{_kde4_htmldir}/en/kioslave
%{_kde4_modulesdir}
%{_kde4_appsdir}
%{_kde4_configkcfgdir}/mailtransport.kcfg
%{_kde4_configkcfgdir}/recentcontactscollections.kcfg
%{_kde4_configkcfgdir}/resourcebase.kcfg
%{_kde4_configkcfgdir}/specialmailcollections.kcfg
%{_kde4_servicesdir}
%{_kde4_servicetypesdir}
%{_datadir}/dbus-1/
%{_datadir}/mime/packages/kdepimlibs-mime.xml
%{_datadir}/mime/packages/x-vnd.akonadi.socialfeeditem.xml

%changelog
* Tue Mar  6 2018 fabian@ritter-vogt.de
- Add patch to fix build with libical >= 3.0:
  * libical-3.patch
* Thu Dec  7 2017 dimstar@opensuse.org
- Escape the usage of %%{VERSION} when calling out to rpm.
  RPM 4.14 has %%{VERSION} defined as 'the main packages version'.
* Wed Feb  1 2017 adam.majer@suse.de
- use individual libboost-*-devel packages instead of boost-devel
* Mon Nov 14 2016 wbauer@tmo.at
- Use shared-mime-info macros (boo#979301)
* Mon Oct 17 2016 lbeltrame@kde.org
- Also conflict on libqgpgme-devel
* Fri Oct 14 2016 lbeltrame@kde.org
- Add a conflict to libgpgmepp-devel to prevent clashes of headers
* Wed Apr 27 2016 lbeltrame@kde.org
- Remove akonadi2xml to prevent conflicts with akonadi-server
* Fri Dec 11 2015 p.drouand@gmail.com
- Remove superfluous libpth-devel dependency
* Mon Jul  6 2015 tittiatcoke@gmail.com
- Update to 4.14.10
  * KDE Applications 15.04.3
  * https://www.kde.org/announcements/announce-applications-15.04.3.php
* Sat May 30 2015 tittiatcoke@gmail.com
- Update to 4.14.9
  * KDE Applications 15.04.2
  * https://www.kde.org/announcements/announce-applications-15.04.2.php
* Mon May 11 2015 tittiatcoke@gmail.com
- Update to 4.14.8
  * KDE Applications 15.04.1
  * https://www.kde.org/announcements/announce-applications-15.04.1.php
* Sat Apr 11 2015 tittiatcoke@gmail.com
- Update to 4.14.7
  * KDE Applications 15.04.0
  * See https://www.kde.org/announcements/announce-applications-15.04.0.php
* Tue Mar  3 2015 tittiatcoke@gmail.com
- Update to 4.14.6
  * KDE Applications 14.12.3
  * See https://www.kde.org/announcements/announce-applications-14.12.3.php
* Sun Feb  1 2015 tittiatcoke@gmail.com
- Update to 4.14.5
  * KDE Applications 14.12.2
  * See https://www.kde.org/announcements/announce-applications-14.12.2.php
* Mon Jan 12 2015 tittiatcoke@gmail.com
- Update to 4.14.4
  * KDE Applications 14.12.1
  * See https://www.kde.org/announcements/announce-applications-14.12.1.php
* Mon Nov 10 2014 Led <ledest@gmail.com>
- fix bashisms in post/postun scripts
* Sun Nov  9 2014 tittiatcoke@gmail.com
- Update to 4.14.3
  * KDE 4.14.3 SC Bugfix Release
  * See http://www.kde.org/announcements/announce-4.14.3.php
* Sun Oct 12 2014 tittiatcoke@gmail.com
- Update to 4.14.2
  * KDE 4.14.2 SC Bugfix Release
  * See http://www.kde.org/announcements/announce-4.14.2.php
* Sat Sep 13 2014 tittiatcoke@gmail.com
- Update to 4.14.1
  * KDE 4.14.1 SC Bugfix Release
  * See http://www.kde.org/announcements/announce-4.14.1.php
* Thu Sep 11 2014 hrvoje.senjan@gmail.com
- Add baselibs.conf, needed for kdebase4-workspace-libs-32bit
* Fri Aug 15 2014 tittiatcoke@gmail.com
- Update to 4.14.0
  * KDE 4.14.0 SC Final Release
  * See http://www.kde.org/announcements/4.14/
* Wed Jul 23 2014 hrvoje.senjan@gmail.com
- Move akonadi2xml to libkdepimlibs4-devel, as it is a development tool
* Thu Jul 17 2014 cgiboudeaux@gmx.com
- Update to 4.13.90
  * KDE 4.14 Beta 2 release
  * See http://www.kde.org/announcements/announce-4.14-beta2.php
* Thu Jul 10 2014 cgiboudeaux@gmx.com
- Update to 4.13.80
  * KDE 4.14 Beta 1 release
  * See http://www.kde.org/announcements/announce-4.14-beta1.php
- Drop ldapkio-kolab3.diff (merged upstream)
* Sun Jun  8 2014 tittiatcoke@gmail.com
- Update to 4.13.2
  * KDE 4.13  release
  * See http://www.kde.org/announcements/announce-4.13.2.php
* Fri May  9 2014 tittiatcoke@gmail.com
- Update to 4.13.1
  * KDE 4.13.1  bug fix release
  * See http://www.kde.org/announcements/announce-4.13.1.php
* Sun May  4 2014 hrvoje.senjan@gmail.com
- Added libxslt-devel, previously pulled in via libkde4-devel
* Fri Apr 11 2014 tittiatcoke@gmail.com
- Update to 4.13.0
  * KDE 4.13  release
  * See http://www.kde.org/announcements/4.13/
* Thu Mar 27 2014 tittiatcoke@gmail.com
- Update to 4.12.97
  * KDE 4.13 RC  release
  * See http://www.kde.org/announcements/announce-4.13-rc.php
- Drop upstreamed patch set-itemmodifyjob-to-silent.diff
* Sun Mar 23 2014 tittiatcoke@gmail.com
- Add upstream patch set-itemmodifyjob-to-silent.diff to mark the
  ItemModifyJob as silent so that baloo doesn't keep on indexing
  the maildir
* Thu Mar 20 2014 tittiatcoke@gmail.com
- Update to 4.12.95
  * KDE 4.13 Beta 3  release
  * See http://www.kde.org/announcements/announce-4.13-beta3.php
* Thu Mar 13 2014 tittiatcoke@gmail.com
- Update to 4.12.90
  * KDE 4.13 Beta 2  release
  * See http://www.kde.org/announcements/announce-4.13-beta2.php
* Fri Mar  7 2014 tittiatcoke@gmail.com
- Update to 4.12.80
  * KDE 4.13 Beta 1  release
  * See http://www.kde.org/announcements/announce-4.13-beta1.php
* Sat Feb  1 2014 tittiatcoke@gmail.com
- Update to 4.12.2
  * KDE 4.12.2  release
  * See http://www.kde.org/announcements/announce-4.12.2.php
* Sat Jan 11 2014 tittiatcoke@gmail.com
- Update to 4.12.1
  * KDE 4.12.1  release
  * See http://www.kde.org/announcements/announce-4.12.1.php
* Sat Dec 14 2013 tittiatcoke@gmail.com
- Update to 4.12.0
  * KDE 4.12.0  release
  * See http://www.kde.org/announcements/4.12.php
* Fri Nov 29 2013 tittiatcoke@gmail.com
- Update to 4.11.97
  * KDE 4.12 RC 1 release
  * See http://www.kde.org/announcements/announce-4.12-rc.php
* Sat Nov 23 2013 tittiatcoke@gmail.com
- Update to 4.11.95
  * KDE 4.12 Beta 3 release
  * See http://www.kde.org/announcements/announce-4.12-beta3.php
- Dropped patch Fixed-refcounting-in-ETM-and-Monitor.patch (included
  upstream)
* Sat Nov 16 2013 tittiatcoke@gmail.com
- Update to 4.11.90
  * KDE 4.12 Beta 2 release
  * See http://www.kde.org/announcements/announce-4.12-beta2.php
- Added Fixed-refcounting in-ETM-and-Monitor.patch from upstream
  4.11 branch, for resolving issue where KMail did not show new
  messages, (kde#312460)
* Sat Nov  9 2013 tittiatcoke@gmail.com
- Update to 4.11.80
  * KDE 4.12 Beta 1 release
  * See http://www.kde.org/announcements/announce-4.12-beta1.php
- Bump minimal libakonadiprotocolinternals-devel BuildRequires to
  1.10.45
* Sat Nov  2 2013 tittiatcoke@gmail.com
- Update to 4.11.3
  * KDE 4.11.3 bugfix release
  * See http://www.kde.org/announcements/announce-4.11.3.php
* Sat Sep 28 2013 tittiatcoke@gmail.com
- Update to 4.11.2
  * KDE 4.11.2 bugfix release
  * See http://www.kde.org/announcements/announce-4.11.2.php
* Sun Sep  1 2013 tittiatcoke@gmail.com
- Update to 4.11.1
  * KDE 4.11.1 bugfix release
  * See http://www.kde.org/announcements/announce-4.11.1.php
* Thu Aug  8 2013 tittiatcoke@gmail.com
- Update to 4.11.0
  * KDE 4.11 Final release
  * See http://www.kde.org/announcements/4.11/
* Thu Jul 25 2013 hrvoje.senjan@gmail.com
- Update to 4.10.97
  * KDE 4.11 RC 2 release
  * See http://www.kde.org/announcements/announce-4.11-rc2.php
* Mon Jul 15 2013 cgiboudeaux@gmx.com
- Update to 4.10.95
  * KDE 4.11 RC 1 release
  * See http://www.kde.org/announcements/announce-4.11-rc1.php
* Thu Jun 27 2013 tittiatcoke@gmail.com
- Update to 4.10.90
  * KDE 4.11 Beta 1 release
  * See http://www.kde.org/announcements/announce-4.11-beta2.php
* Thu Jun 13 2013 tittiatcoke@gmail.com
- Update to 4.10.80
  * KDE 4.11 Beta 1 release
  * See http://www.kde.org/announcements/announce-4.11-beta1.php
* Thu Jun  6 2013 aj@ajaissle.de
- Added ldapkio-kolab3.diff to add LDAP config for Kolab 3
* Sat Jun  1 2013 tittiatcoke@gmail.com
- Update to 4.10.4
  * Bugfix release
  * See http://www.kde.org/announcements/announce-4.10.4.php
  * resolves bnc#8122760
* Sat May  4 2013 tittiatcoke@gmail.com
- Update to 4.10.3
  * Bugfix release
  * See http://www.kde.org/announcements/announce-4.10.3.php
  * resolves bnc#818500
* Mon Apr  1 2013 tittiatcoke@gmail.com
- Update to 4.10.2 \n  * Bugfixes
* Sat Mar  2 2013 tittiatcoke@gmail.com
- Update to 4.10.1
  * Contains bug fixes. See http://www.kde.org/announcements/
  for more information
- Drop fix_akonadi_firstrun.diff, applied upstream
* Thu Feb 14 2013 wbauer@tmo.at
- Add fix_akonadi_firstrun.diff:
  * fix Akonadi Firstrun (bnc#803200, kde#315115)
* Thu Jan 31 2013 tittiatcoke@gmail.com
- Update to 4.10.0
  * This is the final release for 4.10. Contains bugfixes
* Thu Jan 17 2013 tittiatcoke@gmail.com
- Update to 4.9.98
  * This is the third RC release for 4.10. Contains bugfixes
* Sun Jan  6 2013 toddrme2178@gmail.com
- Make the devel package require nepomuk-core-devel.
  KdepimLibsConfig.cmake requires it, preventing many packages
  that depend on kdepimlibs from building
* Thu Jan  3 2013 tittiatcoke@gmail.com
- Update to 4.9.97
  * This is the second RC release for 4.10. Contains bugfixes
* Wed Dec 19 2012 tittiatcoke@gmail.com
- Update to 4.9.95
  * This is the first RC release for 4.10. Contains bugfixes
* Sat Dec  1 2012 tittiatcoke@gmail.com
- Update to 4.9.90
  * This is the second Beta release for 4.10. Contains bugfixes
- Remove patch buildfix-qjson_0_8_0.diff, as that it was included
  upstream
* Sun Nov 25 2012 cgiboudeaux@gmx.com
- Add buildfix-qjson_0_8_0.diff. Fixes build with QJson 0.8.0
* Sun Nov 25 2012 tittiatcoke@gmail.com
- Drop patch 4_7_branch.diff which is not used at all
* Sat Nov 24 2012 tittiatcoke@gmail.com
- Update to 4.9.80
  * See http://www.kde.org/announcements/announce-4.10-beta1.php
* Fri Nov  2 2012 tittiatcoke@gmail.com
- Update to 4.9.3
  * see http://kde.org/announcements/announce-4.9.3.php for details
* Sat Sep 29 2012 tittiatcoke@gmail.com
- Update to 4.9.2
  * see http://kde.org/announcements/announce-4.9.2.php for details
* Tue Sep 11 2012 coolo@suse.com
- fix akonadi buildrequires
* Wed Sep  5 2012 dmueller@suse.com
- update to 4.9.1
  * see http://kde.org/announcements/4.9.1/ for details
* Mon Jul 30 2012 dmueller@suse.com
- update to 4.8.5
  * see http://kde.org/announcements/changelogs/changelog4_8_4to4_8_5.php for details
* Sat Jun  2 2012 rabauke@opensuse.org
- remove fontsize patch since it was fixed upstream
* Fri Jun  1 2012 dmueller@suse.com
- update to 4.8.4
  * see http://kde.org/announcements/changelogs/changelog4_8_3to4_8_4.php for details
* Sun Apr 29 2012 dmueller@suse.com
- update to 4.8.3
  * see http://kde.org/announcements/changelogs/changelog4_8_2to4_8_3.php for details
* Wed Apr 18 2012 cornelis@solcon.nl
- Add patch to increase fontsize in the detailsview of kaddressbook (kde#221963)
* Sat Mar 31 2012 wstephenson@suse.com
- Add xz to BuildRequires
* Thu Mar 29 2012 dmueller@suse.de
- update to 4.8.2
  * see http://kde.org/announcements/changelogs/changelog4_8_1to4_8_2.php for details
* Fri Mar  2 2012 dmueller@suse.de
- update to 4.8.1
  * see http://kde.org/announcements/changelogs/changelog4_8_0to4_8_1.php for details
* Fri Jan 27 2012 dmueller@suse.de
- fix kdesdk4 build
* Wed Jan 18 2012 dmueller@suse.de
- update to 4.8.0
  * first stable release of KDE 4.8 (only critical fixes over 4.7.98)
  * see http://kde.org/announcements/4.8/ for details
* Tue Jan 10 2012 dmueller@suse.de
- update to 4.7.98
  * RC2+ milestone release of KDE 4.8
  * see http://kde.org/announcements/4.8/ for details
* Wed Dec  7 2011 coolo@suse.com
- fix license to be in spdx.org format
* Fri Dec  2 2011 dmueller@suse.de
- update to 4.7.4
  * see http://kde.org/announcements/changelogs/changelog4_7_3to4_7_4.php for details
* Wed Nov  2 2011 dmueller@suse.de
- update to 4.7.3
  * see http://kde.org/announcements/changelogs/changelog4_7_2to4_7_3.php for details
* Mon Oct 17 2011 wstephenson@suse.com
- Add branch diff
  - Fix assert when loading mimetypes with shared-mime-info
  0.9.1 (bko#283615)
* Mon Oct  3 2011 coolo@suse.com
- do not package gpgme-pth, not needed
* Sun Oct  2 2011 dmueller@suse.de
- update to 4.7.2
  * see http://kde.org/announcements/changelogs/changelog4_7_1to4_7_2.php for details
* Thu Sep  1 2011 dmueller@suse.de
- update to 4.7.1
  * Bugfixes over KDE 4.7.0
  * see http://kde.org/announcements/changelogs/changelog4_7_0to4_7_1.php for details
* Thu Aug 18 2011 toddrme2178@gmail.com
- Removed redundant buildrequires
- Added check for duplicate files (fix for RPMLINT warning)
- Cleaned up spec file formatting
* Thu Aug 11 2011 idonmez@novell.com
- Refresh kdepimlibs-4.7-branch.patch
  * Fix an IMAP crash
  * Fix addressbook barcodes when the entry has a photo
  * Better error checking
* Thu Aug  4 2011 idonmez@novell.com
- Add kdepimlibs-4.7-branch.patch, sync with 4.7 branch
  * Possible crash fixes
* Fri Jul 22 2011 dmueller@suse.de
- update to 4.7.0
  * Small fixes over KDE 4.7 RC2
  * see http://kde.org/announcements/4.7 for details
* Thu Jul 21 2011 idonmez@novell.com
- Update to 4.6.95
* Fri Jul  1 2011 dmueller@suse.de
- update to 4.6.5
  * Bugfixes over KDE 4.6.5
  * see http://kde.org/announcements/changelogs/changelog4_6_4to4_6_5.php for details
* Thu Jun  2 2011 dmueller@suse.de
- update to 4.6.4
  * Bugfixes over KDE 4.6.3
  * see http://kde.org/announcements/changelogs/changelog4_6_3to4_6_4.php for details
* Thu Apr 28 2011 dmueller@suse.de
- update to 4.6.3
  * Bugfixes over KDE 4.6.2
  * see http://kde.org/announcements/changelogs/changelog4_6_2to4_6_3.php for details
* Fri Apr  1 2011 dmueller@suse.de
- update to 4.6.2
  * Bugfixes over KDE 4.6.1
  * see http://kde.org/announcements/changelogs/changelog4_6_1to4_6_2.php for details
* Wed Mar  9 2011 coolo@novell.com
- buildrequire specific kdelibs and ran spec-cleaner
* Tue Mar  8 2011 dmueller@suse.de
- update to 4.6.1
  * Bugfixes over KDE 4.6.0
  * see http://kde.org/announcements/changelogs/changelog4_6_0to4_6_1.php for details
* Thu Feb 17 2011 wstephenson@novell.com
- call update-mime-database in pre/post install scripts
* Wed Jan 19 2011 dmueller@suse.de
- update to 4.6.0
  * For highlights, see http://kde.org/announcements/4.6
* Tue Jan  4 2011 dmueller@suse.de
- update to 4.5.95
  * KDE 4.6 RC2
  * no upstream changelog available.
* Wed Dec 22 2010 dmueller@suse.de
- update to 4.5.90
  * KDE 4.6 RC1
  * no upstream changelog available.
* Fri Dec  3 2010 dmueller@suse.de
- update to 4.5.85
  * KDE 4.6 Beta2
  * Final Beta before RC, various fixes from Beta1
  * no upstream changelog available.
* Fri Nov 19 2010 dmueller@suse.de
- update to 4.5.80
  * KDE 4.6 Beta1
  * no upstream changelog available.
* Thu Oct 28 2010 dmueller@suse.de
- update to 4.5.3
  * see http://kde.org/announcements/changelogs/changelog4_5_2to4_5_3.php for details
* Thu Sep 30 2010 dmueller@suse.de
- update to 4.5.2
  * see http://kde.org/announcements/changelogs/changelog4_5_1to4_5_2.php for details
* Fri Aug 27 2010 dmueller@suse.de
- update to 4.5.1
  * see http://kde.org/announcements/changelogs/changelog4_5_0to4_5_1.php for details
* Thu Jul 29 2010 dmueller@suse.de
- update to 4.5.0
  * KDE 4.5.0 final (version bump over RC3)
* Fri Jul 23 2010 dmueller@suse.de
- update to 4.4.95
  * KDE 4.5 RC3 (not announced)
  * critical fixes for 4.5.0 release
* Fri Jul 16 2010 dmueller@suse.de
- update to 4.4.93svn1149349
* Thu Jul 15 2010 wstephenson@novell.com
- Move spamassassin requirement to kdepim4 (bnc#619563)
* Wed Jul  7 2010 dmueller@suse.de
- update to 4.4.5
  * bugfixes over 4.4.4
  * see http://kde.org/announcements/changelogs/changelog4_4_4to4_4_5.php for details
* Fri Jun 18 2010 dmueller@suse.de
- update to 4.4.4
  * bugfixes over 4.4.3
  * see http://kde.org/announcements/changelogs/changelog4_4_3to4_4_ 4.php for details
  * for most modules only version number as a change (4_4_BRANCH.diff already contained the diff
* Tue Jun 15 2010 wstephenson@novell.com
- Fix race condition causing error on every Akonadi start
    (bko#236538, bnc#582375)
- Fix problem dialing Skype numbers from KAddressbook (bko#240617)
- Fix crash accepting some invitataions (bko#238945)
* Mon May 31 2010 wstephenson@novell.com
- Don't attempt to migrate KResources to Akonadi on every login of
  a new user (bnc#591483)
* Mon May 17 2010 llunak@novell.com
- update 4_4_BRANCH.diff: various fixes, translation updates
* Thu Apr 29 2010 dmueller@suse.de
- update to 4.4.3
  * bugfixes over 4.4.2
  * see http://kde.org/announcements/changelogs/changelog4_4_2to4_4_3.php for details
* Mon Apr  5 2010 dmueller@suse.de
- fix buildrequires
* Fri Mar 26 2010 dmueller@suse.de
- update to 4.4.2
  * bugfixes over 4.4.1
  * see http://kde.org/announcements/changelogs/changelog4_4_1to4_4_2.php for details
* Fri Feb 26 2010 dmueller@suse.de
- update to 4.4.1
  * bugfixes over 4.4.0
  * see http://kde.org/announcements/changelogs/changelog4_4_0to4_4_1.php for details
* Thu Feb  4 2010 dmueller@suse.de
- update to 4.4.0
  * Critical bugfixes only over 4.3.98
  * see http://www.kde.org/announcements/4.4/ for general overview
* Sun Jan 31 2010 dmueller@suse.de
- update to 4.3.98
  * see http://www.kde.org/announcements/announce-4.4-rc3.php for details
* Wed Jan 20 2010 dmueller@suse.de
- update to 4.3.95
  * see http://www.kde.org/announcements/announce-4.4-rc2.php for details
* Wed Jan  6 2010 dmueller@suse.de
- update to 4.3.90
  * see http://www.kde.org/announcements/announce-4.4-rc1.php for details
* Fri Dec 18 2009 dmueller@suse.de
- update to 4.3.85
  * see http://www.kde.org/announcements/announce-4.4-beta2.php for details
* Fri Dec  4 2009 dmueller@suse.de
- update to 4.3.80:
  * see http://techbase.kde.org/Schedules/KDE4/4.4_Feature_Plan
* Mon Nov  2 2009 dmueller@suse.de
- update to 4.3.3
  * see http://kde.org/announcements/changelogs/changelog4_3_2to4_3_3.php for details
* Sat Oct 31 2009 dmueller@suse.de
- fix gpgme configure checks (bnc#548053)
* Thu Sep 24 2009 beineri@opensuse.org
- update 4_3_BRANCH.diff:
  * Escape URLs when converting to HTML, to prevent text from
    disappearing
  * when printing month view, only print events on the days
    specified by the range
  * Fix "kmail: Kiosk-based [$e] config variables are not
    evaluated for file emailidentities"
* Wed Sep  9 2009 beineri@opensuse.org
- update 4_3_BRANCH.diff:
  * kmime: Be more tolerant and decode illegal chars in the
    given encoding (kde#206417)
  * fix: kiosk-based [$e] config variables are not evaluated
    for file emailidentities (kde#197523)
* Fri Aug 28 2009 dmueller@suse.de
- update to 4.3.1
  * see http://kde.org/announcements/changelogs/changelog4_3_0to4_3_1.php for details
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Wed Jul 29 2009 dmueller@suse.de
- update to 4.3.0
  * see http://kde.org/announcements/4.3 for details
* Tue Jul 21 2009 dmueller@suse.de
- update to 4.2.98
* Wed Jul  8 2009 dmueller@suse.de
- update to 4.2.96
* Wed Jun 24 2009 dmueller@suse.de
- update to 4.2.95
* Wed Jun  3 2009 dmueller@suse.de
- update to 4.2.90
* Wed May 27 2009 dmueller@suse.de
- update to 4.2.88svn973768
* Sat May 23 2009 beineri@opensuse.org
- add revert patch to prevent Akonadi using 100%% cpu (kde#193249)
* Thu May 14 2009 dmueller@suse.de
- update to 4.2.85 (KDE 4.3 Beta1)
* Wed May 13 2009 dmueller@suse.de
- add versioned dependencies
* Thu Apr 30 2009 dmueller@suse.de
- update to 4.2.3
  * see http://kde.org/announcements/changelogs/changelog4_2_2to4_2_3.php
* Thu Mar 26 2009 dmueller@suse.de
- update to 4.2.2
  * see http://kde.org/announcements/changelogs/changelog4_2_1to4_2_2.php
* Sun Mar 15 2009 coolo@suse.de
- update branch diff - some akonadi fixes
* Thu Mar  5 2009 coolo@suse.de
- fix file list
* Thu Feb 26 2009 dmueller@suse.de
- update to 4.2.1
  * see http://kde.org/announcements/changelogs/changelog4_2_0to4_2_1.php
* Wed Feb 18 2009 dmueller@suse.de
- update branch diff
* Thu Feb  5 2009 wstephenson@suse.de
- update branch diff
  * Fix kde#182224 - missing LF at EOF in ical files
* Thu Jan 22 2009 dmueller@suse.de
- update to 4.2.0
* Tue Jan 13 2009 dmueller@suse.de
- update to 4.1.96
* Fri Jan  9 2009 dmueller@suse.de
- update to 4.2.87 (Januar snapshot KDE 4.2)
* Sat Dec 13 2008 wstephenson@suse.de
- Include crash fix for KMail account wizard (kde#174992)
* Wed Dec 10 2008 wstephenson@suse.de
- Fix korganizer showing UTC datetimes instead of localtime
  (bnc#441022)
- Fix kmail always suggesting to store SMTP passwords (bnc#447163)
* Fri Dec  5 2008 dmueller@suse.de
- use the libical version it was built against
* Fri Dec  5 2008 wstephenson@suse.de
- Add workaround for bad iCal input causing libical to assert
  (bnc#456374)
-  Add versioned requires for correct libical
* Thu Dec  4 2008 wstephenson@suse.de
- Fix korganizer crash on corrupt uidmap file (bnc#441363)
* Tue Dec  2 2008 wstephenson@suse.de
- Backport patch to fix crash on korgac startup (bnc#450659)
* Sat Nov 29 2008 dmueller@suse.de
- fix devel dependencies
* Thu Nov 27 2008 wstephenson@suse.de
- Backport removal of internal copy of libical (bnc:434982)
* Tue Nov 18 2008 stbinner@suse.de
- kio-nntp: fix fetch of message-ids which contain a %% (bnc#425629)
* Fri Oct 31 2008 dmueller@suse.de
- update to 4.1.3
  * see http://kde.org/announcements/changelogs/changelog4_1_2to4_1_3.php
* Tue Oct 21 2008 stbinner@suse.de
- 4_1_BRANCH.diff update:
  * don't require < count match > count to consider string as HTML
* Thu Sep 25 2008 dmueller@suse.de
- update to 4.1.2
  * see http://kde.org/announcements/changelogs/changelog4_1_1to4_1_2.php
* Mon Sep 15 2008 dmueller@suse.de
- branch diff update
  * check for self-assignment
* Fri Sep  5 2008 wstephenson@suse.de
- 4_1_branch diff update
  * Fix crash in displaying mails with calendar entries (r856768)
* Thu Aug 28 2008 dmueller@suse.de
- update to 4.1.1
  * see http://kde.org/announcements/changelogs/changelog4_1to4_1_1.php
* Sat Aug 16 2008 stbinner@suse.de
- 4_1_branch diff update
* Thu Jul 31 2008 dmueller@suse.de
- 4_1_branch diff update
* Wed Jul 23 2008 dmueller@suse.de
- update to 4.1.0
* Fri Jul 18 2008 dmueller@suse.de
- update to 4.0.99
* Thu Jul 17 2008 dmueller@suse.de
- fix versioning
* Mon Jul 14 2008 dmueller@suse.de
- update to 4.0.98
* Thu Jul  3 2008 dmueller@suse.de
- update to 4.0.85
* Thu Jun 26 2008 dmueller@suse.de
- update to 4.0.84
* Wed Jun 18 2008 dmueller@suse.de
- update to 4.0.83
* Tue Jun 10 2008 dmueller@suse.de
- update to 4.0.82
* Tue Jun 10 2008 dmueller@suse.de
- update to 4.0.81
* Wed May 21 2008 wstephenson@suse.de
- Add gpgme++ class as required by kdepim 4.0.80
* Fri May 16 2008 wstephenson@suse.de
- Add authentication plugins for mail ioslaves
  (bnc:383402, kde:97139)
* Tue May  6 2008 dmueller@suse.de
- update to 4.0.72+svn of today to adopt akonadi API change
* Wed Apr 30 2008 dmueller@suse.de
- update to 4.0.72
* Mon Apr 28 2008 dmueller@suse.de
- adapt to akonadi -> akonadi-runtime rename
* Fri Apr 18 2008 dmueller@suse.de
- update to 4.0.70:
  * akonadi: API polishment
* Thu Apr 10 2008 dmueller@suse.de
- update to 4.0.69:
  * akonadi: API polishment
  * export internal api for testcases when compiling in debug mode
* Wed Apr  2 2008 dmueller@suse.de
- update to 4.0.68
  * added akonadi platform
  * many new unit tests
* Tue Mar 25 2008 dmueller@suse.de
- update to 4.0.67
* Thu Mar 13 2008 dmueller@suse.de
- update to 4.0.66
  * fix i18n usage arguments in imap4 ioslave
  * fix sieve handling
  * fix for kabc file locking
  * krazy fixes
* Fri Mar  7 2008 dmueller@suse.de
- update to 4.0.65 snapshot:
  * fixes kabc signal/slot connections
* Mon Mar  3 2008 stbinner@suse.de
- update to 4.0.64 snapshot
* Fri Feb 15 2008 dmueller@suse.de
- update 4_0_BRANCH.diff
* Thu Jan 31 2008 dmueller@suse.de
- update to KDE 4.0.1
* Wed Jan 23 2008 stbinner@suse.de
- update 4_0_BRANCH.diff
* Sat Jan  5 2008 stbinner@suse.de
- update to 4.0 release
* Wed Jan  2 2008 stbinner@suse.de
- update to 3.97.2
* Sun Dec 16 2007 dmueller@suse.de
- update to 3.97.1
* Wed Dec  5 2007 dmueller@suse.de
- update to 3.97.0
* Tue Dec  4 2007 dmueller@suse.de
- update to 3.96.3
* Wed Nov 28 2007 dmueller@suse.de
- update to 3.96.2
* Wed Nov 21 2007 dmueller@suse.de
- update to 3.96.1
* Wed Nov 14 2007 dmueller@suse.de
- update to 3.96.0
* Tue Nov  6 2007 dmueller@suse.de
- update to 3.95.2
* Thu Nov  1 2007 dmueller@suse.de
- update to 3.95.1
* Tue Oct 30 2007 dmueller@suse.de
- update to 3.95.0
* Thu Oct 18 2007 dmueller@suse.de
- update to 3.94.1
* Wed Oct 17 2007 ro@suse.de
- added directory to filelist
* Mon Oct  8 2007 dmueller@suse.de
- update to KDE 4.0 Beta 3
* Tue Oct  2 2007 stbinner@suse.de
- update to 3.93.0.svn720095
* Wed Sep 26 2007 stbinner@suse.de
- update to 3.93.0.svn717236
* Thu Sep 13 2007 stbinner@suse.de
- update to 3.93.0.svn712050
* Sat Sep  1 2007 stbinner@suse.de
- update to KDE 4.0 Beta 2
* Thu Aug 23 2007 stbinner@suse.de
- update to 3.92.0.svn703895
* Thu Aug 16 2007 stbinner@suse.de
- update to 3.92.0.svn700734
* Thu Aug  9 2007 stbinner@suse.de
- update to 3.92.0.svn697324
* Sat Jul 28 2007 stbinner@suse.de
- update to KDE 4.0 Beta 1
* Thu Jul 12 2007 stbinner@suse.de
- update to 3.91.0.svn672298
* Sat Jun 23 2007 stbinner@suse.de
- update to 3.90.1.svn678423
* Fri Jun  8 2007 stbinner@suse.de
- update to 3.90.1.svn670093
* Fri Jun  1 2007 coolo@suse.de
- simplify spec file by using macros from kde4-filesystem
* Wed May 30 2007 coolo@suse.de
- fix build after kdelibs changes
* Mon May 28 2007 dmueller@suse.de
- update to 3.90.1.svn668118
* Mon May  7 2007 stbinner@suse.de
- initial package in abuild
